        // Create a CoinCollection and manipulate it with the
        // addition of coins.
class CoinMain2 {
    public static void main(String[] args){
        CoinCollection collection = new CoinCollection();
        // Show the initial state of the collection, and subsequent
        // states after adding players.
        collection.printContents();
        collection.addToCollection("Player1");
        collection.printContents();
        collection.addToCollection("Player2");
        collection.addToCollection("Player3");
        collection.printContents();
        // Add the same player more than once.
        collection.addToCollection("Player1");
        collection.printContents();

        // Check that duplicates are shown.
        collection.addToCollection("Player3");
        System.out.println("The duplicates are");
        collection.printDuplicates();
        System.out.println();

        // Swap one of the duplicates for a new player.
        collection.swap("Player1","Player4");
        collection.printContents();
        // Swap the only copy of an existing player for a new player.
        collection.swap("Player1","Player5");
        collection.printContents();
        // Swap a duplicate copy for an existing player.
        collection.swap("Player3","Player4");
        collection.printContents();
        // Swap a coin we do not have.
        collection.swap("PlayerX","Player4");
        collection.printContents();
    }
}
