    // Return a sequence of odd numbers, starting at zero.
class OddNumbers2 implements NumberGenerator2 {
    public int nextNumber(){
        int result = getNext();
        setNext(result+2);
        return result;
    }

        // Return the next number in the sequence that is divisible
        // by divisor.
    public int nextDivisibleBy(int divisor) throws RuntimeException {
        // Check for a nonsensical divisor.
        if((divisor % 2) == 0){
            throw new RuntimeException(
                "No odd number is divisible by: "+divisor);
        }
        int result;
        do{
            result = nextNumber();
        } while((result % divisor) != 0);
        return result;
    }

    private int getNext(){
        return next;
    }

    private void setNext(int n){
        next = n;
    }

    private int next = 1;
}
