import java.text.*;
import java.util.Locale;

        // Display money in the format of different locales.
class Currency {
    public static void main(String[] args){
        // Format some monetary data in the default locale.
        NumberFormat myMoney = NumberFormat.getCurrencyInstance();
        System.out.println(myMoney.format(3.53));
        System.out.println(myMoney.format(1000000.00));

        // Format some monetary data in the French locale.
        NumberFormat francs =
                        NumberFormat.getCurrencyInstance(Locale.FRANCE);
        System.out.println(francs.format(3.53));
        System.out.println(francs.format(1000000.00));
    }
}
