    // Test methods of the DayTemperatures class.
class DayTemperaturesMain {
    public static void main(String[] args){
        // Use the following data for the temperature values.
        int[] values = {
            5, 5, 5, 5, 5, 6,        // 0 - 5
            7, 9, 11, 13, 15, 18,    // 6 - 11
            20, 21, 21, 21, 21, 21,  // 12 - 17
            20, 19, 16, 13, 9, 7,    // 18 - 23
        };

        DayTemperatures readings = new DayTemperatures();

        // Set up the readings.
        for(int hour = 0; hour < values.length; hour++){
            readings.setTemperature(hour,values[hour]);
        }

        // Check that all the values have been set.
        for(int hour = 0; hour < readings.HoursPerDay; hour++){
            System.out.print(hour+":"+readings.getTemperature(hour)+" ");
        }
        System.out.println();

        // Find the mean.
        System.out.println("Mean: "+readings.meanTemperature());

        // Get the indices of the hottest hours.
        System.out.print("Hottest hour(s): ");
        int[] hottest = readings.hottestHours();
        for(int i = 0; i < hottest.length; i++){
            int hour = hottest[i];
            System.out.print(hour+":"+readings.getTemperature(hour)+" ");
        }
        System.out.println();
    }
}
