    // Test methods of the DayTemperatures class.
class WeeklyTemperaturesMain {
    public static void main(String[] args){
        // Use the following data for the temperature values.
        int[] values = {
            5, 5, 5, 5, 5, 6,        // 0 - 5
            7, 9, 11, 13, 15, 18,    // 6 - 11
            20, 21, 21, 21, 21, 21,  // 12 - 17
            20, 19, 16, 13, 9, 7,    // 18 - 23
        };

        // For simplicity, use the same data for each day.
        DayTemperatures[] weekOfReadings =
                        new DayTemperatures[WeeklyTemperatures.DaysPerWeek];
        for(int day = 0; day < weekOfReadings.length; day++){
            DayTemperatures readings = new DayTemperatures();
            // Set up the readings.
            for(int hour = 0; hour < values.length; hour++){
                readings.setTemperature(hour,values[hour]);
            }
            weekOfReadings[day] = readings;
        }

        // Now create the WeeklyTemperatures object.
        WeeklyTemperatures weekly = new WeeklyTemperatures(weekOfReadings);

        // Find the mean of the daily means.
        System.out.println("Mean for the week is: "+
                           weekly.meanDailyTemperature());
    }
}
