        // A class to record the name on a collectible coin,
        // and a count of how many coins a collector has.
        // When a Coin is created, it has a count of 1.
class Coin {
    public Coin(String name){
       this.name = name;
       setCount(1);
    }

    public String getName(){
        return name;
    }

        // Add more to the existing count.
    public void addToCount(int more){
        setCount(getCount()+more);
    }

    public String toString(){
        return getName()+" "+getCount();
    }

    public int getCount(){
        return count;
    }

    private void setCount(int c){
        count = c;
    }

    private final String name;
    private int count = 0;
}
