import java.util.ArrayList;

        // Determine whether ArrayList clones a shallow or
        // deep copy.
class CloneCopyTest {
    public static void main(String[] args){
        ArrayList list = new ArrayList();
        // Store a single element array in the list.
        list.add(new int[] { 100, });

        ArrayList listClone = (ArrayList) list.clone();

        // Compare the array references stored in two lists.
        int[] original = (int[]) list.get(0);
        int[] copy = (int[]) listClone.get(0);
        if(original == copy){
            System.out.println("ArrayList implements a shallow copy.");
        }
        else{
            System.out.println("ArrayList implements a deep copy.");
        }
    }
}
