        // Actively prevent Cloning.
class WraparoundCounter extends Counter {
    public WraparoundCounter(int limit) throws RuntimeException {
        if(limit > 0){
            this.limit = limit;
        }
        else{
            throw new RuntimeException(
                "The counter's limit must be positive: "+limit);
        }
    }

    public void setValue(int v){
        super.setValue(v % getLimit());
    }

    public int getLimit(){
        return limit;
    }

    public Object clone() throws CloneNotSupportedException {
        throw new CloneNotSupportedException("WraparoundCounter");
    }

    private final int limit;
}
