        // Illustrate the creation of a Graph and
        // its appearance when a few points are added interactively.
        // Read the point values interactively.
class GraphMain1a {
    public static void main(String[] args){
        // Define the bounds of the coordinate space.
        double minX = -10, maxX = 50, minY = -10, maxY = 50;
        GraphMinder minder = new GraphMinder(minX,maxX,minY,maxY);
        SimpleInput keyboard = new SimpleInput();

        // An (x,y) pair to be plotted.
        double x,y;
        System.out.println("Please type (x,y) pairs in the range: "+
                           "("+minX+","+minY+")"+" to "+
                           "("+maxX+","+maxY+")");
        x = keyboard.nextDouble();
        y = keyboard.nextDouble();

        // Keep going as long as the point is in bounds.
        while(x >= minX && y >= minY && x <= maxX && y <= maxY){
            minder.addPoint(x,y);
            // Read the next point.
            x = keyboard.nextDouble();
            y = keyboard.nextDouble();
        }
        System.out.println("Input finished.");
    }
}
